## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name eth-stdlib

Name:          python-%{pypi_name}
Version:       0.2.7
Release:       %autorelease
BuildArch:     noarch
Summary:       A collection of libraries for developers building on the EVM
License:       LGPL-3.0-or-later
URL:           https://github.com/skellet0r/eth-stdlib
VCS:           git:%{url}.git
Source0:       %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
# Fedora-specific. We're using cryptodomex.
Patch:         python-eth-stdlib-0001-Switch-to-cryptodomex.patch
# https://github.com/skellet0r/eth-stdlib/pull/21
Patch:         python-eth-stdlib-0002-Clarify-licensing-terms.patch
# Fedora-specific. We do not do code coverage during builds.
Patch:         python-eth-stdlib-0003-Disable-pytest-coverage.patch
# https://github.com/skellet0r/eth-stdlib/pull/26
%if 0%{?fedora} > 42
Patch:         python-eth-stdlib-0004-Fix-for-modern-poetry.patch
%endif
BuildRequires: python3-dotenv
BuildRequires: python3-hypothesis
BuildRequires: python3-pytest
BuildSystem:   pyproject
BuildOption(prep):    -n %{pypi_name}-%{version}
BuildOption(install): -L eth

%description
%{summary}.

%package -n python3-%{pypi_name}
Summary: %{summary}

%description -n python3-%{pypi_name}
%{summary}.

%check -a
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license COPYING.LESSER
%doc README.md

%changelog
## START: Generated by rpmautospec
* Tue Mar 25 2025 Peter Lemenkov <lemenkov@gmail.com> - 0.2.7-3
- Fix FTBFS

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Jan 15 2025 Peter Lemenkov <lemenkov@gmail.com> - 0.2.7-1
- initial build
## END: Generated by rpmautospec
